Skip to main content
POST
Create Idp Connection

Authorizations

Authorization
string
header
required

A Barndoor API key, sent as Authorization: Bearer <key>. Keys are prefixed bdai_ and are opaque — do not attempt to decode one. Interchangeable with an OAuth 2.0 access token.

Body

application/json

Configuration for creating/updating an IdP connection.

display_name
string
required
issuer
string
required
authorization_url
string
required
token_url
string
required
jwks_url
string
required
client_id
string | null
client_secret
string | null
userinfo_url
string | null
logout_url
string | null
scopes
string
default:openid profile email
prompt
enum<string>
default:""
Available options:
,
none,
login,
consent,
select_account
use_discovery
boolean
default:false
domain
string | null

Response

Successful Response

Response containing current IdP connection configuration.

configured
boolean
default:false
alias
string | null
expected_alias
string | null
display_name
string | null
issuer
string | null
authorization_url
string | null
token_url
string | null
userinfo_url
string | null
jwks_url
string | null
logout_url
string | null
scopes
string | null
prompt
string
default:""
client_id_configured
boolean
default:false
client_secret_configured
boolean
default:false
domain
string | null
domains
string[]